<div align="center">
   <img width="80" height="80" src="screenshots/logo.png"/>
   <h2>WeatherWiseApp</h2>
   <p>a material design, <strong>closed source live-weather app</strong> for android with <strong>Material You</strong> theming.</p>
</div>
<div align="center">

![Flutter](https://img.shields.io/badge/Platform-Flutter-blue)
![minSdkVersion](https://img.shields.io/badge/minSdkVersion-23-green.svg)
[![Crowdin](https://badges.crowdin.net/weatherwise/localized.svg)](https://crowdin.com/project/weatherwise)
[![PayPal](https://img.shields.io/badge/PayPal-00457C?logo=paypal&logoColor=white)](https://paypal.me/milindgoel15)

</div>

## Downloads:

[![GitHub Release](https://img.shields.io/badge/github-%23121011.svg?style=for-the-badge&logo=github&logoColor=white)](https://github.com/MGAndroidProjects/WeatherWise-Releases/releases/latest)

## Features:

-  Proper material design with support for **material you design**
-  Custom accent colours when dynamic colours are off.
-  Get **current weather data**
-  Get **forecast data for 5 days of 3-hour intervals**
-  Monet-based splash screen for Android 12+ devices.
-  Monochrome icon for Android 13+ devices.
-  Theme switcher (Light, dark and AMOLED/black mode)
-  Font chooser option from Google fonts
-  Weather-based on GPS location or manually entered text with autocomplete.
-  Save locations locally and the ability to delete them.
-  Change temperature units
-  Change navigation label behaviour
-  Change inactive places icon style
-  Theme matching icons and splash icons
-  Material you based android widgets
- Powerful Weather APIs such as [OpenWeather](https://openweathermap.org/api), [AccuWeather](https://www.accuweather.com/) and [FreeWeatherApi](https://weatherapi.com/)

> Note:
>
> -  Android 12 & above will extract colors from wallpaper set on your device
> -  Other android versions uses accent colors within app to match material you system.

---

## General Information:

-  You can find all the releases in the releases section.
-  You can also create issues and give suggestions/feedbacks here

---

## Information Regarding release files:

-  **arm64-v8a**: For 64-bit architecture devices
-  **armeabi-v7a**: For 32-bit architecture devices
-  **universal**: For all devices irrespective of their architecture
-  **msix builds**: For windows devices

---

## Translators:

-  [Krystl](https://crowdin.com/profile/krystl) - Serbian (Latin)
-  [Evasion4715](https://crowdin.com/profile/evasion4715) - Russian
-  [Patrick Loidl](https://crowdin.com/profile/palo6415) - German
-  [KrystlMuhammad Rizqi Imani](https://crowdin.com/profile/rizqiimani) - Indonesian
-  [h 下划线 h](https://crowdin.com/profile/hunderlinehh) - Chinese Simplified
-  [Ákos Paha](https://crowdin.com/profile/pahaakos) - Hungarian
-  [Rippa NonProfit](https://crowdin.com/profile/rippanonprofit) - Spanish
-  [Vanitas](https://crowdin.com/profile/BlackSpectrum) - Gujarati
-  [ktodorov0](https://crowdin.com/profile/ktodorov0) - Bulgarian
-  [Lorenzo Geromel](https://crowdin.com/profile/lorenzo.geromel) - Italian
-  [Ant. Rares](https://crowdin.com/profile/iepurooy) - Romanian
-  [Lefteris T.](https://crowdin.com/profile/leftertrp) - Greek
-  [RikoDEV](https://crowdin.com/profile/rikodev) - Polish

---

## Screenshots:

#### Mobile-

| <img src="./screenshots/android/HomeDark.jpg" width="180"/> | <img src="./screenshots/android/ForecastDark.jpg" width="180"/> | <img src="./screenshots/android/ForecastDetailsDark.jpg" width="180"/> | <img src="./screenshots/android/SavedDark.jpg" width="180"/> |
| ----------------------------------------------------------- | --------------------------------------------------------------- | ---------------------------------------------------------------------- | ------------------------------------------------------------ |

#### Tablet/desktop-

| <img src="./screenshots/windows/HomeDark.png" width="220"/> | <img src="./screenshots/windows/ForecastDark.png" width="220"/> | <img src="./screenshots/windows/ForecastDetailsDark.png" width="220"/> | <img src="./screenshots/windows/SavedDark.png" width="220"/> |
| ----------------------------------------------------------- | --------------------------------------------------------------- | ---------------------------------------------------------------------- | ------------------------------------------------------------ |

---

## Current todo:

-  [X] ~~Add multiple API support (Priority: LOW)~~ Done
-  [x] ~~Make homescreen widgets (Priority: LOW)~~ Done

## List of things not supported by flutter (officially or partially or not built-in):

-  [System based font ](https://github.com/flutter/flutter/issues/48381)
-  [Predictive back gestures](https://github.com/flutter/flutter/issues/109513)
-  [Per-app language preferences](https://github.com/flutter/flutter/issues/109842)
-  [Splash Screen for desktop app](https://github.com/flutter/flutter/issues/41980)
